MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025804Open CASCADE[OCCT] OCCT:Visualizationpublic2015-02-09 10:172015-05-14 15:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025804: Visualization, TKOpenGl - specify correct primitives type in OpenGl_BackgroundArray
DescriptionWrong enumeration has been used within OpenGl_BackgroundArray::myDrawMode - GL_TRIANGLE_STRIP is expected instead:
+OpenGl_BackgroundArray::OpenGl_BackgroundArray (const Graphic3d_TypeOfBackground theType)
+: OpenGl_PrimitiveArray (NULL, Graphic3d_TOPA_TRIANGLESTRIPS, NULL, NULL, NULL),
+{
+  myDrawMode = Graphic3d_TOPA_TRIANGLESTRIPS;

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025475closedbugmaster Visualization, TKOpenGl - draw background using primitive arrays 

-  Notes
(0037232)
git (administrator)
2015-02-09 14:14

Branch CR25804 has been created by aba.

SHA-1: ccc93d03757e9b83d6f49a880cb3e2b1a0acd453


Detailed log of new commits:

Author: aba
Date: Mon Feb 9 14:14:40 2015 +0300

    0025804: Visualization, TKOpenGl - specify correct primitives type in OpenGl_BackgroundArray
(0037233)
aba (developer)
2015-02-09 14:15

Dear kgv,

could you please review the branch CR25804?
(0037234)
git (administrator)
2015-02-09 14:47

Branch CR25804 has been updated by aba.

SHA-1: 10fa208a03d457cc0a27e4b7bb1abf1efb2c63da


Detailed log of new commits:

Author: aba
Date: Mon Feb 9 14:46:45 2015 +0300

    Remarks:
    
    -counterclockwise order of vertices for gradient background array initialization.

(0037242)
kgv (developer)
2015-02-09 16:50

Please test the patch.
(0037290)
apv (tester)
2015-02-10 15:38

Dear BugMaster,

Branch CR25804 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 10fa208a03d457cc0a27e4b7bb1abf1efb2c63da

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 86143057 / 86202878
Total CPU difference: 49959.12000000034 / 47876.709999999846

Testing on Windows:
Total MEMORY difference: 40648310 / 40658496
Total CPU difference: 32555.25 / 32754.0
(0038598)
git (administrator)
2015-03-18 13:38

Branch CR25804 has been deleted by inv.

SHA-1: 10fa208a03d457cc0a27e4b7bb1abf1efb2c63da

- Related Changesets
occt: master d5846489
Timestamp: 2015-02-12 08:29:09
Author: aba
Committer: bugmaster
Details ] Diff ]
0025804: Visualization, TKOpenGl - specify correct primitives type in OpenGl_BackgroundArray

Remarks: - counterclockwise order of vertices for gradient background array initialization.
mod - src/OpenGl/OpenGl_BackgroundArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-09 10:17 kgv New Issue
2015-02-09 10:17 kgv Assigned To => kgv
2015-02-09 10:20 kgv Relationship added child of 0025475
2015-02-09 10:20 kgv Assigned To kgv => aba
2015-02-09 10:20 kgv Status new => assigned
2015-02-09 14:14 git Note Added: 0037232
2015-02-09 14:15 aba Note Added: 0037233
2015-02-09 14:15 aba Assigned To aba => kgv
2015-02-09 14:15 aba Status assigned => resolved
2015-02-09 14:47 git Note Added: 0037234
2015-02-09 16:50 kgv Note Added: 0037242
2015-02-09 16:50 kgv Assigned To kgv => bugmaster
2015-02-09 16:50 kgv Status resolved => reviewed
2015-02-09 17:06 apv Assigned To bugmaster => apv
2015-02-10 15:10 apv Test case number => Not needed
2015-02-10 15:38 apv Note Added: 0037290
2015-02-10 15:38 apv Assigned To apv => bugmaster
2015-02-10 15:38 apv Status reviewed => tested
2015-02-13 17:55 bugmaster Changeset attached => occt master d5846489
2015-02-13 17:55 bugmaster Status tested => verified
2015-02-13 17:55 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038598
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker